<?php

namespace App\Modules\BookingAssign\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class ListBookingAssignQuery implements Query
{
    public function __construct(
        private int $idBooking,
        private string $action
    ) {
    }

    public function idBooking(): int
    {
        return $this->idBooking;
    }

    public function action(): string
    {
        return $this->action;
    }
}
